Subject: Re: [External] : bug#65116: 29.1; query-replace-read-args fails reading second arg in detached minibuf

From: Alan Mackenzie <[email-masked]>
Date: Sat, 13 Jan 2024 21:35:50 +0000

Hello, Drew.

On Sat, Jan 13, 2024 at 21:19:36 +0000, Drew Adams wrote:
> > > > Could it have something to do with the mouse warping? Why is the mouse
> > > > warping at all? I would prefer it stay right where it is. I'm pretty
> > sure
> > > > it did at some recent time in the past, maybe emacs 26.

> > > ...Yes, I hear a distant bell ringing...
> > > (Stuck on Emacs 26...)

> > Could you possibly try my patch for this bug on an Emacs more recent
> > than 26, and see if it helps at all with the things that have not been
> > right w.r.t. minibuffers and the like?

> No; sorry Alan, I can't.  I don't build Emacs,
> I'm on MS Windows.  And too many things have
> changed since Emacs 26.  I've given up trying
>  to figure out focus problems etc.

I've not.

> Maybe someone at some point will report a
> problem, giving a specific, operational recipe,
> and maybe that'll get fixed, .....

That's precisely what's just happened, or will have happened if the OP's
testing shows the expected OK.

> ..... and maybe that fix will help me with the problems I encounter.

Maybe.  Who knows?

-- 
Alan Mackenzie (Nuremberg, Germany).